IPV6_RECVPKTINFO(2const)

NAME
IPV6_RECVPKTINFO - set delivery of the IPV6_PKTINFO control message on incoming datagrams

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#include <netinet/in.h>  /* Definition of IP* constants */
#include <sys/socket.h>

int setsockopt(int sockfd, IPPROTO_IPV6, IPV6_RECVPKTINFO,
               const int *enable, sizeof(int));

DESCRIPTION
Set delivery of the IPV6_PKTINFO control message on incoming datagrams. Such control messages contain a struct in6_pktinfo, as per RFC 3542.

Allowed only for SOCK_DGRAM or SOCK_RAW sockets.

ERRORS
See IPPROTO_IPV6(2const). See setsockopt(2). See ipv6(7).

HISTORY
Linux 2.6.14.

SEE ALSO
IPPROTO_IPV6(2const), setsockopt(2), cmsg(3), ipv6(7)